Page MenuHomePhabricator

nyc.wikimedia.org wiki
Closed, ResolvedPublic

Description

Please create nyc.wikimedia.org as a new wiki for the Wikimedia
New York City chapter.

That url is current a redirect to our Meta-Wiki page, per this historical bug:

https://bugzilla.wikimedia.org/show_bug.cgi?id=23535


Version: unspecified
Severity: enhancement

Details

Reference
bz29273

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:25 PM
bzimport set Reference to bz29273.
Pharos created this task.Jun 4 2011, 8:42 PM

bugs wrote:

URL: nyc.wikimedia.org

$wgLanguageCode = en
$wgLogo = http://upload.wikimedia.org/wikipedia/commons/thumb/7/70/Wikimedia_New_York_City_logo.svg/135px-Wikimedia_New_York_City_logo.svg.png
$wgSitename = Wikimedia New York City
$wgMetaNamespace = Wikimedia
$wgMetaNamespaceTalk = Wikimedia_talk

Note that before this http://nyc.wikimedia.org/ redirected to http://wikimedianyc.com/ which redirects to the page on Meta-Wiki [1] (it didn't redirect directl from nyc.wm.o to meta).

Now that thewiki is created, that domain should probably be taken care of as well.

bugs wrote:

And along with comment 2, we also need to remove the nyc.wikimedia.org entry from redirects.conf before this will work properly. It looks like the new wiki is setup right though, so Priyanka should be able to close this ticket once we fix the redirect. :-)

assigning to Priyanka per comment 3

jeluf wrote:

The apache config was already in place.
I've purged some squids and now it seems to work.

I've also committed all the uncommitted changes to svn.

http://nyc.wikimedia.org/ still seems to redirect to the meta page

bugs wrote:

I think that's the DNS cache. It takes a while for it to update, but it should do it eventually.

RobH added a comment.Jun 30 2011, 3:22 PM

I am not sure how this was flagged as fixed, as Pharos reported the issue in IRC this week.

I sat down and worked the issue with Roan. I think the issue was a syntax error in our redirects.conf. I commented them out and got it working for now.

Later tonight, or tomorrow early AM, I will push back the redirect with the corrected syntax and ensure it works. I am going to wait until off-peak hours to do this.

Stealing ticket and holding onto it until then.

RobH added a comment.Jun 30 2011, 3:26 PM

Correction, the wikimedianyc.org address isnt pointed at us, so this redirect does NOTHING.

If a wikimedianyc.org to nyc.wikimedia.org redirect is needed, the domain needs to be rewritten on the other hose (seems like dreamhost is doing the hosting for the wikimedianyc.org domain) or the domain needs to be pointed at our nameservers.

once one of these are done, feel free to reopen ticket.

RobH added a comment.Jun 30 2011, 3:28 PM

Please note just setitng the wikimedianyc.org domain rewrite on that server to point to the correct URL is the best solution. It currently points to a meta url, and this is NOT on wikimedia servers.

OR folks can just stop using that wikimedianyc.org url

Done for wikimedianyc.{org,com}

$ curl -vs wikimedianyc.org 2>&1 >/dev/null | egrep -e '^< HTTP/1\.' -e '^< Location: '
< HTTP/1.1 301 Moved Permanently
< Location: http://nyc.wikimedia.org/